Bug 1482825 - dracut didn't build suitable initramfs for Odroid XU4
Summary: dracut didn't build suitable initramfs for Odroid XU4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: armv7hl
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 07:45 UTC by Andreas Reschke
Modified: 2018-04-16 14:05 UTC (History)
15 users (show)

Fixed In Version: works with kernel 4.16 and newer
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1550270 1550272 (view as bug list)
Environment:
Last Closed: 2018-02-28 22:07:15 UTC


Attachments (Terms of Use)
extendend logfile with debug (106.05 KB, text/plain)
2017-08-18 12:32 UTC, Andreas Reschke
no flags Details

Description Andreas Reschke 2017-08-18 07:45:52 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:55.0) Gecko/20100101 Firefox/55.0
Build Identifier: 

Since Fedora 24 with kernel 4.6.5-300.fc24 (this is the last version that works) dracut didn't build suitable intramfs for Odroid XU4. Newer kernels starts to boot and stop at 
[    6.126613] NET: Registered protocol family 10
on serial output. 

Reproducible: Always

Steps to Reproduce:
1. install Fedora 24 with kernel lower or equal = 4.6.5-300.fc24
or
1. prepare SD-Card with fedora-arm-installer and actual Fedora Image and U-Boot
2. do update "dnf update" with newer kernel
or
boot the new system
3. Kernel always stop at same line of output from serial console
Actual Results:  
Kernel always stop at same line of output from serial console
[    6.126613] NET: Registered protocol family 10

Expected Results:  
Kernel should boot complete

U-Boot 2017.05 (Jun 24 2017 - 16:40:39 +0000) for ODROID-XU3

CPU:   Exynos5422 @ 800 MHz
Model: Odroid XU3 based on EXYNOS5422
Board: Odroid XU3 based on EXYNOS5422
Type:  xu4
DRAM:  2 GiB
MMC:   EXYNOS DWMMC: 0, EXYNOS DWMMC: 1
*** Warning - bad CRC, using default environment

In:    serial
Out:   serial
Err:   serial
Net:   No ethernet found.
Hit any key to stop autoboot:  0
mmc_init: -5, time 4
switch to partitions #0, OK
mmc0 is current device
Scanning mmc 0:2...
Found /extlinux/extlinux.conf
Retrieving file: /extlinux/extlinux.conf
513 bytes read in 15 ms (33.2 KiB/s)
Ignoring unknown command: ui
Ignoring malformed menu command:  autoboot
Ignoring malformed menu command:  hidden
Ignoring unknown command: totaltimeout
Fedora-Mate-armhfp-26-1.5 Boot Options.
1:      Fedora-Mate-armhfp-26-1.5 (4.11.8-300.fc26.armv7hl)
Enter choice: 1:        Fedora-Mate-armhfp-26-1.5
(4.11.8-300.fc26.armv7hl)
Retrieving file: /initramfs-4.11.8-300.fc26.armv7hl.img
55227208 bytes read in 15615 ms (3.4 MiB/s)
Retrieving file: /vmlinuz-4.11.8-300.fc26.armv7hl
6267616 bytes read in 503 ms (11.9 MiB/s)
append: ro root=UUID=01a7a7b0-fb7b-4b87-a2b4-c330daaab202 cma=192MB
Retrieving file: /dtb-4.11.8-300.fc26.armv7hl/exynos5422-odroidxu4.dtb
54941 bytes read in 277 ms (193.4 KiB/s)
Kernel image @ 0x42000000 [ 0x000000 - 0x5fa2e0 ]
## Flattened Device Tree blob at 43000000
   Booting using the fdt blob at 0x43000000
   Loading Ramdisk to 4cb54000, end 4ffff348 ... OK
   Loading Device Tree to 4cb43000, end 4cb5369c ... OK

Starting kernel ...

[    0.000000] Booting Linux on physical CPU 0x100
[    0.000000] Linux version 4.11.8-300.fc26.armv7hl
(mockbuild@buildvm-armv7-13.arm.fedoraproject.org) (gcc version 7.1.1
20177
[    0.000000] CPU: ARMv7 Processor [410fc073] revision 3 (ARMv7),
cr=10c5387d
[    0.000000] CPU: div instructions available: patching division code
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing
instruction cache
[    0.000000] OF: fdt: Machine model: Hardkernel Odroid XU4
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: UEFI not found.
[    0.000000] Reserved memory: created DMA memory pool at 0xbe200000,
size 8 MiB
[    0.000000] OF: reserved mem: initialized node region_mfc_right,
compatible id shared-dma-pool
[    0.000000] Reserved memory: created DMA memory pool at 0xbbe00000,
size 36 MiB
[    0.000000] OF: reserved mem: initialized node region_mfc_left,
compatible id shared-dma-pool
[    0.000000] cma: Reserved 192 MiB at 0xafc00000
[    0.000000] Samsung CPU ID: 0xe5422001
[    0.000000] Running under secure firmware.
[    0.000000] percpu: Embedded 15 pages/cpu @eede0000 s31628 r8192
d21620 u61440
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.
Total pages: 505664
[    0.000000] Kernel command line: ro
root=UUID=01a7a7b0-fb7b-4b87-a2b4-c330daaab202 cma=192MB
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288
bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144
bytes)
[    0.000000] Memory: 1744476K/2029568K available (7440K kernel code,
1301K rwdata, 3528K rodata, 2048K init, 518K bss, 88484K)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
[    0.000000]     vmalloc : 0xf0800000 - 0xff800000   ( 240 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0208000 - 0xc0a4408c   (8433 kB)
[    0.000000]       .init : 0xc0e00000 - 0xc1000000   (2048 kB)
[    0.000000]       .data : 0xc1000000 - 0xc1145584   (1302 kB)
[    0.000000]        .bss : 0xc1145584 - 0xc11c7160   ( 519 kB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  Build-time adjustment of leaf fanout to 32.
[    0.000000]  RCU restricting CPUs from NR_CPUS=32 to nr_cpu_ids=8.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=32,
nr_cpu_ids=8
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] GIC physical location is 0x10481000
[    0.000000] Switching to timer-based delay loop, resolution 41ns
[    0.000000] clocksource: mct-frc: mask: 0xffffffff max_cycles:
0xffffffff, max_idle_ns: 79635851949 ns
[    0.000007] sched_clock: 32 bits at 24MHz, resolution 41ns, wraps
every 89478484971ns
[    0.007592] Console: colour dummy device 80x30
[    0.008712] console [tty0] enabled
[    0.008774] Calibrating delay loop (skipped), value calculated
using timer frequency.. 48.00 BogoMIPS (lpj=24000)
[    0.008835] pid_max: default: 32768 minimum: 301
[    0.009324] Security Framework initialized
[    0.009362] Yama: becoming mindful.
[    0.009409] SELinux:  Initializing.
[    0.009826] Mount-cache hash table entries: 2048 (order: 1, 8192
bytes)
[    0.009866] Mountpoint-cache hash table entries: 2048 (order: 1, 8192
bytes)
[    0.011164] CPU: Testing write buffer coherency: ok
[    0.011237] ftrace: allocating 31692 entries in 62 pages
[    0.090881] CPU0: update cpu_capacity 448
[    0.090931] CPU0: thread -1, cpu 0, socket 1, mpidr 80000100
[    0.091688] Setting up static identity map for 0x40300000 - 0x40300098
[    0.092453] ARM CCI driver probed
[    0.092684] Exynos MCPM support installed
[    0.101287] EFI services will not be available.
[    0.102007] smp: Bringing up secondary CPUs ...
[    0.103098] CPU1: update cpu_capacity 448
[    0.103106] CPU1: thread -1, cpu 1, socket 1, mpidr 80000101
[    0.104253] CPU2: update cpu_capacity 448
[    0.104261] CPU2: thread -1, cpu 2, socket 1, mpidr 80000102
[    0.105393] CPU3: update cpu_capacity 448
[    0.105401] CPU3: thread -1, cpu 3, socket 1, mpidr 80000103
[    0.106573] CPU4: update cpu_capacity 1535
[    0.106582] CPU4: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.107833] CPU5: update cpu_capacity 1535
[    0.107841] CPU5: thread -1, cpu 1, socket 0, mpidr 80000001
[    0.109009] CPU6: update cpu_capacity 1535
[    0.109017] CPU6: thread -1, cpu 2, socket 0, mpidr 80000002
[    0.110172] CPU7: update cpu_capacity 1535
[    0.110180] CPU7: thread -1, cpu 3, socket 0, mpidr 80000003
[    0.110322] smp: Brought up 1 node, 8 CPUs
[    0.110632] SMP: Total of 8 processors activated (384.00 BogoMIPS).
[    0.110660] CPU: WARNING: CPU(s) started in wrong/inconsistent
modes (primary CPU mode 0x1a)
[    0.110698] CPU: This may indicate a broken bootloader or firmware.
[    0.113438] devtmpfs: initialized
[    0.136806] VFP support v0.3: implementor 41 architecture 2 part 30
variant 7 rev 3
[    0.137402] clocksource: jiffies: mask: 0xffffffff max_cycles:
0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.137466] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.149460] pinctrl core: initialized pinctrl subsystem
[    0.153109] NET: Registered protocol family 16
[    0.155535] DMA: preallocated 256 KiB pool for atomic coherent
allocations
[    0.160694] cpuidle: using governor menu
[    0.161950] No ATAGs?
[    0.162295] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4
watchpoint registers.
[    0.162357] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    0.164179] Serial: AMBA PL011 UART driver
[    0.169405] random: fast init done
[    0.201022] EXYNOS5420 PMU initialized
[    0.243665] vgaarb: loaded
[    0.244725] SCSI subsystem initialized
[    0.245461] usbcore: registered new interface driver usbfs
[    0.245582] usbcore: registered new interface driver hub
[    0.245794] usbcore: registered new device driver usb
[    0.248255] NetLabel: Initializing
[    0.248292] NetLabel:  domain hash size = 128
[    0.248316] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.248417] NetLabel:  unlabeled traffic allowed by default
[    0.248930] clocksource: Switched to clocksource mct-frc
[    0.351833] VFS: Disk quotas dquot_6.6.0
[    0.352046] VFS: Dquot-cache hash table entries: 1024 (order 0, 4096
bytes)
[    0.371166] NET: Registered protocol family 2
[    0.372401] TCP established hash table entries: 8192 (order: 3, 32768
bytes)
[    0.372542] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[    0.372744] TCP: Hash tables configured (established 8192 bind 8192)
[    0.373056] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.373130] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.373721] NET: Registered protocol family 1
[    0.374567] Unpacking initramfs...
[    4.807852] Freeing initrd memory: 53936K
[    4.887021] audit: initializing netlink subsys (disabled)
[    4.887254] audit: type=2000 audit(4.831:1): state=initialized
audit_enabled=0 res=1
[    4.887633] Initialise system trusted keyrings
[    4.887849] workingset: timestamp_bits=14 max_order=19 bucket_order=5
[    4.895726] zbud: loaded
[    5.191665] NET: Registered protocol family 38
[    5.191703] Key type asymmetric registered
[    5.191726] Asymmetric key parser 'x509' registered
[    5.191813] bounce: pool size: 64 pages
[    5.191908] Block layer SCSI generic (bsg) driver version 0.4
loaded (major 250)
[    5.192213] io scheduler noop registered
[    5.192237] io scheduler deadline registered
[    5.192640] io scheduler cfq registered (default)
[    5.192665] io scheduler mq-deadline registered
[    5.193307] atomic64_test: passed
[    5.217683] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    5.227351] Serial: AMBA driver
[    5.227636] 12c00000.serial: ttySAC0 at MMIO 0x12c00000 (irq = 58,
base_baud = 0) is a S3C6400/10
[    5.228075] 12c10000.serial: ttySAC1 at MMIO 0x12c10000 (irq = 59,
base_baud = 0) is a S3C6400/10
[    5.228459] 12c20000.serial: ttySAC2 at MMIO 0x12c20000 (irq = 60,
base_baud = 0) is a S3C6400/10
[    5.985336] console [ttySAC2] enabled
[    5.989406] 12c30000.serial: ttySAC3 at MMIO 0x12c30000 (irq = 61,
base_baud = 0) is a S3C6400/10
[    5.999986] msm_serial: driver initialized
[    6.003018] STMicroelectronics ASC driver initialized
[    6.012392] libphy: Fixed MDIO Bus: probed
[    6.015806] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    6.021609] ehci-pci: EHCI PCI platform driver
[    6.026067] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    6.032152] ohci-pci: OHCI PCI platform driver
[    6.036611] uhci_hcd: USB Universal Host Controller Interface driver
[    6.043252] usbcore: registered new interface driver usbserial
[    6.048747] usbcore: registered new interface driver usbserial_generic
[    6.055243] usbserial: USB Serial support registered for generic
[    6.061441] mousedev: PS/2 mouse device common for all mice
[    6.074583] device-mapper: uevent: version 1.0.3
[    6.078438] device-mapper: ioctl: 4.35.0-ioctl (2016-06-23)
initialised: dm-devel@redhat.com
[    6.089235] ledtrig-cpu: registered to indicate activity on CPUs
[    6.094218] hidraw: raw HID events driver (C) Jiri Kosina
[    6.099403] usbcore: registered new interface driver usbhid
[    6.104724] usbhid: USB HID core driver
[    6.111414] drop_monitor: Initializing network drop monitor service
[    6.116525] ip_tables: (C) 2000-2006 Netfilter Core Team
[    6.121784] Initializing XFRM netlink socket
[    6.126613] NET: Registered protocol family 10

Comment 2 Harald Hoyer 2017-08-18 10:40:00 UTC
I would start with adding "rd.debug debug systemd.log_target=console" on the kernel command line and providing the log.

Comment 3 Andreas Reschke 2017-08-18 11:02:43 UTC
(In reply to Harald Hoyer from comment #2)
> I would start with adding "rd.debug debug systemd.log_target=console" on the
> kernel command line and providing the log.

U-Boot 2016.05 (May 30 2016 - 20:03:50 +0000) for ODROID-XU3

CPU:   Exynos5422 @ 800 MHz
Model: Odroid XU3 based on EXYNOS5422
Board: Odroid XU3 based on EXYNOS5422
Type:  xu4
DRAM:  2 GiB
MMC:   EXYNOS DWMMC: 0, EXYNOS DWMMC: 1
*** Warning - bad CRC, using default environment

In:    serial
Out:   serial
Err:   serial
Net:   No ethernet found.
Hit any key to stop autoboot:  0 
switch to partitions #0, OK
mmc1(part 0) is current device
Scanning mmc 1:1...
reading /exynos5422-odroidxu4.dtb
61346 bytes read in 10 ms (5.8 MiB/s)
switch to partitions #0, OK
mmc0 is current device
Scanning mmc 0:1...
Found /extlinux/extlinux.conf
Retrieving file: /extlinux/extlinux.conf
1376 bytes read in 13 ms (102.5 KiB/s)
Ignoring unknown command: default=Fedora
Fedora-Mate-armhfp-24-1.2 Boot Options.
1:      Fedora (4.13.0-0.rc4.git4.1.fc27.armv7hl) 26 (Twenty Six)
2:      Fedora (4.12.5-300.fc26.armv7hl) 26 (Twenty Six)
3:      Fedora (4.6.5-300.fc24.armv7hl) 24 (Twenty Four)
Enter choice: 1
1:      Fedora (4.13.0-0.rc4.git4.1.fc27.armv7hl) 26 (Twenty Six)
Retrieving file: /initramfs-4.13.0-0.rc4.git4.1.fc27.armv7hl.img
17539148 bytes read in 1631 ms (10.3 MiB/s)
Retrieving file: /vmlinuz-4.13.0-0.rc4.git4.1.fc27.armv7hl
7002744 bytes read in 656 ms (10.2 MiB/s)
append: ro root=UUID=dfac3a15-7d31-46ed-842f-2f7599871202 enforcing=1 console=tty1 console=ttySAC2,115200n8 rd.debug debug systemd.log_target=console
Retrieving file: /dtb-4.13.0-0.rc4.git4.1.fc27.armv7hl/exynos5422-odroidxu4.dtb
54946 bytes read in 350 ms (152.3 KiB/s)
Kernel image @ 0x42000000 [ 0x000000 - 0x6ada78 ]
## Flattened Device Tree blob at 43000000
   Booting using the fdt blob at 0x43000000
   Loading Ramdisk to 4ef45000, end 4ffff04c ... OK
   Loading Device Tree to 4ef34000, end 4ef446a1 ... OK

Starting kernel ...

[    0.000000] Booting Linux on physical CPU 0x100
[    0.000000] Linux version 4.13.0-0.rc4.git4.1.fc27.armv7hl (mockbuild@buildvm-armv7-07.arm.fedoraproject.org) (gcc version 7.1.1 20170802 (Red Hat 7.1.1-7) (GCC)) #1 SMP Fri Aug 11 17:02:39 UTC 2017
[    0.000000] CPU: ARMv7 Processor [410fc073] revision 3 (ARMv7), cr=10c5387d
[    0.000000] CPU: div instructions available: patching division code
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing instruction cache
[    0.000000] OF: fdt: Machine model: Hardkernel Odroid XU4
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: UEFI not found.
[    0.000000] cma: Reserved 64 MiB at 0xba800000
[    0.000000] Samsung CPU ID: 0xe5422001
[    0.000000] On node 0 totalpages: 518656
[    0.000000] free_area_init_node: node 0, pgdat c1335080, node_mem_map eee25000
[    0.000000]   Normal zone: 1728 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 196608 pages, LIFO batch:31
[    0.000000]   HighMem zone: 322048 pages, LIFO batch:31
[    0.000000] Running under secure firmware.
[    0.000000] percpu: Embedded 16 pages/cpu @eed6d000 s35816 r8192 d21528 u65536
[    0.000000] pcpu-alloc: s35816 r8192 d21528 u65536 alloc=16*4096
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 [0] 4 [0] 5 [0] 6 [0] 7 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 516928
[    0.000000] Kernel command line: ro root=UUID=dfac3a15-7d31-46ed-842f-2f7599871202 enforcing=1 console=tty1 console=ttySAC2,115200n8 rd.debug debug systemd.log_target=console
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Memory: 1946116K/2074624K available (8627K kernel code, 1381K rwdata, 3816K rodata, 2048K init, 9178K bss, 62972K reserved, 65536K cma-reserved, 1222656K highmem)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
[    0.000000]     vmalloc : 0xf0800000 - 0xff800000   ( 240 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0208000 - 0xc0b6cfa4   (9620 kB)
[    0.000000]       .init : 0xc1000000 - 0xc1200000   (2048 kB)
[    0.000000]       .data : 0xc1200000 - 0xc13594c4   (1382 kB)
[    0.000000]        .bss : 0xc1364520 - 0xc1c5b04c   (9179 kB)
[    0.000000] random: get_random_u32 called from cache_random_seq_create+0x5c/0xf0 with crng_init=0
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] ftrace: allocating 35148 entries in 69 pages
[    0.000000] Running RCU self tests
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU lockdep checking is enabled.
[    0.000000]  RCU restricting CPUs from NR_CPUS=32 to nr_cpu_ids=8.
[    0.000000]  RCU callback double-/use-after-free debug enabled.
[    0.000000]  Tasks RCU enabled.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS: 16, nr_irqs: 16, preallocated irqs: 16
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] GIC physical location is 0x10481000
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.000000] Switching to timer-based delay loop, resolution 41ns
[    0.000000] clocksource: mct-frc: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 79635851949 ns
[    0.000010] sched_clock: 32 bits at 24MHz, resolution 41ns, wraps every 89478484971ns
[    0.007680] Console: colour dummy device 80x30
[    0.012963] console [tty1] enabled
[    0.013181] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.013318] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.013399] ... MAX_LOCK_DEPTH:          48
[    0.013481] ... MAX_LOCKDEP_KEYS:        8191
[    0.013565] ... CLASSHASH_SIZE:          4096
[    0.013649] ... MAX_LOCKDEP_ENTRIES:     32768
[    0.013734] ... MAX_LOCKDEP_CHAINS:      65536
[    0.013819] ... CHAINHASH_SIZE:          32768
[    0.013949]  memory used by lock dependency info: 5167 kB
[    0.014049]  per task-struct memory footprint: 1536 bytes
[    0.016778] Calibrating delay loop (skipped), value calculated using timer frequency.. 48.00 BogoMIPS (lpj=24000)
[    0.017045] pid_max: default: 32768 minimum: 301
[    0.017841] Security Framework initialized
[    0.017996] Yama: becoming mindful.
[    0.018176] SELinux:  Initializing.
[    0.018744] SELinux:  Starting in enforcing mode
[    0.019294] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.019430] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.025195] CPU: Testing write buffer coherency: ok
[    0.028430] CPU0: update cpu_capacity 448
[    0.028547] CPU0: thread -1, cpu 0, socket 1, mpidr 80000100
[    0.031493] Setting up static identity map for 0x40300000 - 0x403000a0
[    0.033014] ARM CCI driver probed
[    0.033417] Exynos MCPM support installed
[    0.037306] Hierarchical SRCU implementation.
[    0.046590] EFI services will not be available.
[    0.049557] smp: Bringing up secondary CPUs ...
[    0.054402] CPU1: update cpu_capacity 448
[    0.054417] CPU1: thread -1, cpu 1, socket 1, mpidr 80000101
[    0.059555] CPU2: update cpu_capacity 448
[    0.059571] CPU2: thread -1, cpu 2, socket 1, mpidr 80000102
[    0.063381] CPU3: update cpu_capacity 448
[    0.063397] CPU3: thread -1, cpu 3, socket 1, mpidr 80000103
[    0.067165] CPU4: update cpu_capacity 1535
[    0.067180] CPU4: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.070951] CPU5: update cpu_capacity 1535
[    0.070965] CPU5: thread -1, cpu 1, socket 0, mpidr 80000001
[    0.074630] CPU6: update cpu_capacity 1535
[    0.074643] CPU6: thread -1, cpu 2, socket 0, mpidr 80000002
[    0.078380] CPU7: update cpu_capacity 1535
[    0.078394] CPU7: thread -1, cpu 3, socket 0, mpidr 80000003
[    0.078827] smp: Brought up 1 node, 8 CPUs
[    0.080421] SMP: Total of 8 processors activated (384.00 BogoMIPS).
[    0.080556] CPU: WARNING: CPU(s) started in wrong/inconsistent modes (primary CPU mode 0x1a)
[    0.080730] CPU: This may indicate a broken bootloader or firmware.
[    0.088998] devtmpfs: initialized
[    0.127548] random: fast init done
[    0.157264] VFP support v0.3: implementor 41 architecture 2 part 30 variant 7 rev 3
[    0.165010] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.165280] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    0.173107] pinctrl core: initialized pinctrl subsystem
[    0.181905] DMI not present or invalid.
[    0.184680] NET: Registered protocol family 16
[    0.191067] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.203819] cpuidle: using governor menu
[    0.206067] No ATAGs?
[    0.207116] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4 watchpoint registers.
[    0.207305] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    0.209865] Serial: AMBA PL011 UART driver
[    0.296534] EXYNOS5420 PMU initialized
[    0.400439] vgaarb: loaded
[    0.404211] SCSI subsystem initialized
[    0.405309] libata version 3.00 loaded.
[    0.406481] usbcore: registered new interface driver usbfs
[    0.406780] usbcore: registered new interface driver hub
[    0.407367] usbcore: registered new device driver usb
[    0.409938] EDAC MC: Ver: 3.0.0
[    0.411238] dmi: Firmware registration failed.
[    0.417817] NetLabel: Initializing
[    0.417925] NetLabel:  domain hash size = 128
[    0.418028] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.418557] NetLabel:  unlabeled traffic allowed by default
[    0.420644] clocksource: Switched to clocksource mct-frc
[    0.788203] VFS: Disk quotas dquot_6.6.0
[    0.788615] VFS: Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.838683] NET: Registered protocol family 2
[    0.842198] TCP established hash table entries: 8192 (order: 3, 32768 bytes)
[    0.842665] TCP bind hash table entries: 8192 (order: 6, 294912 bytes)
[    0.845891] TCP: Hash tables configured (established 8192 bind 8192)
[    0.846741] UDP hash table entries: 512 (order: 3, 40960 bytes)
[    0.847283] UDP-Lite hash table entries: 512 (order: 3, 40960 bytes)
[    0.849145] NET: Registered protocol family 1
[    0.849275] PCI: CLS 0 bytes, default 64
[    0.851703] Unpacking initramfs...
[    2.945849] Freeing initrd memory: 17132K
[    2.949594] cryptomgr_test (78) used greatest stack depth: 6580 bytes left
[    2.950496] cryptomgr_test (79) used greatest stack depth: 6424 bytes left
[    2.951960] cryptomgr_test (80) used greatest stack depth: 5772 bytes left
[    2.954064] cryptomgr_test (82) used greatest stack depth: 5724 bytes left
[    2.958085] cryptomgr_test (85) used greatest stack depth: 5660 bytes left
[    2.970710] audit: initializing netlink subsys (disabled)
[    2.971838] audit: type=2000 audit(2.965:1): state=initialized audit_enabled=0 res=1
[    2.973889] Initialise system trusted keyrings
[    2.974683] Key type blacklist registered
[    2.975636] workingset: timestamp_bits=14 max_order=19 bucket_order=5
[    3.013004] zbud: loaded
[    3.029859] SELinux:  Registering netfilter hooks
[    4.481059] cryptomgr_test (111) used greatest stack depth: 5572 bytes left
[    4.539018] NET: Registered protocol family 38
[    4.539371] Key type asymmetric registered
[    4.539702] Asymmetric key parser 'x509' registered
[    4.540088] bounce: pool size: 64 pages
[    4.540571] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[    4.541719] io scheduler noop registered
[    4.541802] io scheduler deadline registered
[    4.543189] io scheduler cfq registered (default)
[    4.543274] io scheduler mq-deadline registered
[    4.548628] atomic64_test: passed
[    4.604783] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    4.663599] Serial: AMBA driver
[    4.664356] 12c00000.serial: ttySAC0 at MMIO 0x12c00000 (irq = 58, base_baud = 0) is a S3C6400/10
[    4.667498] 12c10000.serial: ttySAC1 at MMIO 0x12c10000 (irq = 59, base_baud = 0) is a S3C6400/10
[    4.669836] 12c20000.serial: ttySAC2 at MMIO 0x12c20000 (irq = 60, base_baud = 0) is a S3C6400/10
[    5.601004] console [ttySAC2] enabled
[    5.607602] 12c30000.serial: ttySAC3 at MMIO 0x12c30000 (irq = 61, base_baud = 0) is a S3C6400/10
[    5.621182] msm_serial: driver initialized
[    5.624794] STMicroelectronics ASC driver initialized
[    5.644063] libphy: Fixed MDIO Bus: probed
[    5.649222] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    5.654598] ehci-pci: EHCI PCI platform driver
[    5.659044] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    5.665100] ohci-pci: OHCI PCI platform driver
[    5.669589] uhci_hcd: USB Universal Host Controller Interface driver
[    5.676696] usbcore: registered new interface driver usbserial
[    5.681729] usbcore: registered new interface driver usbserial_generic
[    5.688616] usbserial: USB Serial support registered for generic
[    5.695194] mousedev: PS/2 mouse device common for all mice
[    5.719212] device-mapper: uevent: version 1.0.3
[    5.724730] device-mapper: ioctl: 4.36.0-ioctl (2017-06-09) initialised: dm-devel@redhat.com
[    5.739050] ledtrig-cpu: registered to indicate activity on CPUs
[    5.743880] dmi-sysfs: dmi entry is absent.
[    5.748711] hidraw: raw HID events driver (C) Jiri Kosina
[    5.753943] usbcore: registered new interface driver usbhid
[    5.758802] usbhid: USB HID core driver
[    5.769271] drop_monitor: Initializing network drop monitor service
[    5.775168] ip_tables: (C) 2000-2006 Netfilter Core Team
[    6.163800] random: crng init done

After a while more output
[   32.067723] [<c0312af4>] (unwind_backtrace) from [<c030d264>] (show_stack+0x18/0x1c)
[   32.067749] [<c030d264>] (show_stack) from [<c0b4f990>] (dump_stack+0xa0/0xd8)
[   32.067774] [<c0b4f990>] (dump_stack) from [<c0437718>] (watchdog_timer_fn+0x1d0/0x274)
[   32.067796] [<c0437718>] (watchdog_timer_fn) from [<c03e4538>] (__hrtimer_run_queues+0x4cc/0x78c)
[   32.067813] [<c03e4538>] (__hrtimer_run_queues) from [<c03e49b0>] (hrtimer_interrupt+0xa0/0x1ec)
[   32.067836] [<c03e49b0>] (hrtimer_interrupt) from [<c09ac410>] (exynos4_mct_tick_isr+0x58/0x64)
[   32.067862] [<c09ac410>] (exynos4_mct_tick_isr) from [<c03c8d34>] (__handle_irq_event_percpu+0x20c/0x4f4)
[   32.067881] [<c03c8d34>] (__handle_irq_event_percpu) from [<c03c903c>] (handle_irq_event_percpu+0x20/0x5c)
[   32.067900] [<c03c903c>] (handle_irq_event_percpu) from [<c03c90b8>] (handle_irq_event+0x40/0x64)
[   32.067919] [<c03c90b8>] (handle_irq_event) from [<c03ccd70>] (handle_fasteoi_irq+0xbc/0x130)
[   32.067935] [<c03ccd70>] (handle_fasteoi_irq) from [<c03c7dbc>] (generic_handle_irq+0x20/0x30)
[   32.067953] [<c03c7dbc>] (generic_handle_irq) from [<c03c8410>] (__handle_domain_irq+0xa8/0xbc)
[   32.067972] [<c03c8410>] (__handle_domain_irq) from [<c0301838>] (gic_handle_irq+0x58/0x84)
[   32.067989] [<c0301838>] (gic_handle_irq) from [<c0b6abb0>] (__irq_svc+0x70/0x98)
[   32.068000] Exception stack(0xeea0ded0 to 0xeea0df18)
[   32.068013] dec0:                                     00000000 00000008 00000000 00000001
[   32.068028] dee0: ee935da8 00000000 00000001 a0000013 ee935dbc 00000000 eea0c000 ee9204b8
[   32.068041] df00: ffddf8fa eea0df20 c041c9ac c041c9c8 60000013 ffffffff
[   32.068061] [<c0b6abb0>] (__irq_svc) from [<c041c9c8>] (multi_cpu_stop+0x5c/0x184)
[   32.068080] [<c041c9c8>] (multi_cpu_stop) from [<c041cd30>] (cpu_stopper_thread+0x98/0x120)
[   32.068104] [<c041cd30>] (cpu_stopper_thread) from [<c037b61c>] (smpboot_thread_fn+0x298/0x2c8)
[   32.068129] [<c037b61c>] (smpboot_thread_fn) from [<c0376640>] (kthread+0x14c/0x168)
[   32.068152] [<c0376640>] (kthread) from [<c03080d0>] (ret_from_fork+0x14/0x24)
[   32.071409] watchdog: BUG: soft lockup - CPU#5 stuck for 22s! [migration/5:39]
[   32.071421] Modules linked in:
[   32.071440] irq event stamp: 263582
[   32.071458] hardirqs last  enabled at (263581): [<c0b6abb4>] __irq_svc+0x74/0x98
[   32.071472] hardirqs last disabled at (263582): [<c0b6aba0>] __irq_svc+0x60/0x98
[   32.071487] softirqs last  enabled at (263580): [<c03572a4>] __do_softirq+0x190/0x6b0
[   32.071500] softirqs last disabled at (263573): [<c0357b3c>] irq_exit+0xac/0x138
[   32.071514] CPU: 5 PID: 39 Comm: migration/5 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.071523] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.071533] task: eea22c00 task.stack: eea28000
[   32.071548] PC is at multi_cpu_stop+0x5c/0x184
[   32.071560] LR is at multi_cpu_stop+0x40/0x184
[   32.071571] pc : [<c041c9c8>]    lr : [<c041c9ac>]    psr: 60000013
[   32.071581] sp : eea29f20  ip : ffddf8fa  fp : ee920db8
[   32.071591] r10: eea28000  r9 : 00000000  r8 : ee935dbc
[   32.071602] r7 : a0000013  r6 : 00000001  r5 : 00000000  r4 : ee935da8
[   32.071612] r3 : 00000001  r2 : 00000000  r1 : 00000008  r0 : 00000000
[   32.071623] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   32.071633] Control: 10c5387d  Table: 4020406a  DAC: 00000051
[   32.071646] CPU: 5 PID: 39 Comm: migration/5 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.071655] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.071676] [<c0312af4>] (unwind_backtrace) from [<c030d264>] (show_stack+0x18/0x1c)
[   32.071695] [<c030d264>] (show_stack) from [<c0b4f990>] (dump_stack+0xa0/0xd8)
[   32.071714] [<c0b4f990>] (dump_stack) from [<c0437718>] (watchdog_timer_fn+0x1d0/0x274)
[   32.071732] [<c0437718>] (watchdog_timer_fn) from [<c03e4538>] (__hrtimer_run_queues+0x4cc/0x78c)
[   32.071748] [<c03e4538>] (__hrtimer_run_queues) from [<c03e49b0>] (hrtimer_interrupt+0xa0/0x1ec)
[   32.071765] [<c03e49b0>] (hrtimer_interrupt) from [<c09ac410>] (exynos4_mct_tick_isr+0x58/0x64)
[   32.071785] [<c09ac410>] (exynos4_mct_tick_isr) from [<c03c8d34>] (__handle_irq_event_percpu+0x20c/0x4f4)
[   32.071804] [<c03c8d34>] (__handle_irq_event_percpu) from [<c03c903c>] (handle_irq_event_percpu+0x20/0x5c)
[   32.071822] [<c03c903c>] (handle_irq_event_percpu) from [<c03c90b8>] (handle_irq_event+0x40/0x64)
[   32.071839] [<c03c90b8>] (handle_irq_event) from [<c03ccd70>] (handle_fasteoi_irq+0xbc/0x130)
[   32.071856] [<c03ccd70>] (handle_fasteoi_irq) from [<c03c7dbc>] (generic_handle_irq+0x20/0x30)
[   32.071873] [<c03c7dbc>] (generic_handle_irq) from [<c03c8410>] (__handle_domain_irq+0xa8/0xbc)
[   32.071889] [<c03c8410>] (__handle_domain_irq) from [<c0301838>] (gic_handle_irq+0x58/0x84)
[   32.071907] [<c0301838>] (gic_handle_irq) from [<c0b6abb0>] (__irq_svc+0x70/0x98)
[   32.071916] Exception stack(0xeea29ed0 to 0xeea29f18)
[   32.071929] 9ec0:                                     00000000 00000008 00000000 00000001
[   32.071945] 9ee0: ee935da8 00000000 00000001 a0000013 ee935dbc 00000000 eea28000 ee920db8
[   32.071958] 9f00: ffddf8fa eea29f20 c041c9ac c041c9c8 60000013 ffffffff
[   32.071978] [<c0b6abb0>] (__irq_svc) from [<c041c9c8>] (multi_cpu_stop+0x5c/0x184)
[   32.071996] [<c041c9c8>] (multi_cpu_stop) from [<c041cd30>] (cpu_stopper_thread+0x98/0x120)
[   32.072015] [<c041cd30>] (cpu_stopper_thread) from [<c037b61c>] (smpboot_thread_fn+0x298/0x2c8)
[   32.072033] [<c037b61c>] (smpboot_thread_fn) from [<c0376640>] (kthread+0x14c/0x168)
[   32.072051] [<c0376640>] (kthread) from [<c03080d0>] (ret_from_fork+0x14/0x24)
[   32.075403] watchdog: BUG: soft lockup - CPU#6 stuck for 22s! [migration/6:45]
[   32.075410] Modules linked in:
[   32.075429] irq event stamp: 210552
[   32.075449] hardirqs last  enabled at (210551): [<c0b6abb4>] __irq_svc+0x74/0x98
[   32.075464] hardirqs last disabled at (210552): [<c0b6aba0>] __irq_svc+0x60/0x98
[   32.075478] softirqs last  enabled at (210550): [<c03572a4>] __do_softirq+0x190/0x6b0
[   32.075492] softirqs last disabled at (210543): [<c0357b3c>] irq_exit+0xac/0x138
[   32.075505] CPU: 6 PID: 45 Comm: migration/6 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.075514] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.075525] task: eea58000 task.stack: eea62000
[   32.075539] PC is at multi_cpu_stop+0x5c/0x184
[   32.075552] LR is at multi_cpu_stop+0x40/0x184
[   32.075563] pc : [<c041c9c8>]    lr : [<c041c9ac>]    psr: 60000013
[   32.075573] sp : eea63f20  ip : ffddf8fa  fp : ee9e6e38
[   32.075584] r10: eea62000  r9 : 00000000  r8 : ee935dbc
[   32.075594] r7 : a0000013  r6 : 00000001  r5 : 00000000  r4 : ee935da8
[   32.075603] r3 : 00000001  r2 : 00000000  r1 : 00000008  r0 : 00000000
[   32.075615] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   32.075626] Control: 10c5387d  Table: 4020406a  DAC: 00000051
[   32.075639] CPU: 6 PID: 45 Comm: migration/6 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.075648] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.075669] [<c0312af4>] (unwind_backtrace) from [<c030d264>] (show_stack+0x18/0x1c)
[   32.075689] [<c030d264>] (show_stack) from [<c0b4f990>] (dump_stack+0xa0/0xd8)
[   32.075707] [<c0b4f990>] (dump_stack) from [<c0437718>] (watchdog_timer_fn+0x1d0/0x274)
[   32.075725] [<c0437718>] (watchdog_timer_fn) from [<c03e4538>] (__hrtimer_run_queues+0x4cc/0x78c)
[   32.075741] [<c03e4538>] (__hrtimer_run_queues) from [<c03e49b0>] (hrtimer_interrupt+0xa0/0x1ec)
[   32.075759] [<c03e49b0>] (hrtimer_interrupt) from [<c09ac410>] (exynos4_mct_tick_isr+0x58/0x64)
[   32.075779] [<c09ac410>] (exynos4_mct_tick_isr) from [<c03c8d34>] (__handle_irq_event_percpu+0x20c/0x4f4)
[   32.075798] [<c03c8d34>] (__handle_irq_event_percpu) from [<c03c903c>] (handle_irq_event_percpu+0x20/0x5c)
[   32.075816] [<c03c903c>] (handle_irq_event_percpu) from [<c03c90b8>] (handle_irq_event+0x40/0x64)
[   32.075833] [<c03c90b8>] (handle_irq_event) from [<c03ccd70>] (handle_fasteoi_irq+0xbc/0x130)
[   32.075850] [<c03ccd70>] (handle_fasteoi_irq) from [<c03c7dbc>] (generic_handle_irq+0x20/0x30)
[   32.075867] [<c03c7dbc>] (generic_handle_irq) from [<c03c8410>] (__handle_domain_irq+0xa8/0xbc)
[   32.075884] [<c03c8410>] (__handle_domain_irq) from [<c0301838>] (gic_handle_irq+0x58/0x84)
[   32.075901] [<c0301838>] (gic_handle_irq) from [<c0b6abb0>] (__irq_svc+0x70/0x98)
[   32.075912] Exception stack(0xeea63ed0 to 0xeea63f18)
[   32.075924] 3ec0:                                     00000000 00000008 00000000 00000001
[   32.075939] 3ee0: ee935da8 00000000 00000001 a0000013 ee935dbc 00000000 eea62000 ee9e6e38
[   32.075951] 3f00: ffddf8fa eea63f20 c041c9ac c041c9c8 60000013 ffffffff
[   32.075972] [<c0b6abb0>] (__irq_svc) from [<c041c9c8>] (multi_cpu_stop+0x5c/0x184)
[   32.075991] [<c041c9c8>] (multi_cpu_stop) from [<c041cd30>] (cpu_stopper_thread+0x98/0x120)
[   32.076010] [<c041cd30>] (cpu_stopper_thread) from [<c037b61c>] (smpboot_thread_fn+0x298/0x2c8)
[   32.076028] [<c037b61c>] (smpboot_thread_fn) from [<c0376640>] (kthread+0x14c/0x168)
[   32.076046] [<c0376640>] (kthread) from [<c03080d0>] (ret_from_fork+0x14/0x24)
[   32.078407] watchdog: BUG: soft lockup - CPU#7 stuck for 22s! [migration/7:51]
[   32.078414] Modules linked in:
[   32.078436] irq event stamp: 224436
[   32.078454] hardirqs last  enabled at (224435): [<c0b6abb4>] __irq_svc+0x74/0x98
[   32.078469] hardirqs last disabled at (224436): [<c0b6aba0>] __irq_svc+0x60/0x98
[   32.078484] softirqs last  enabled at (224434): [<c03572a4>] __do_softirq+0x190/0x6b0
[   32.078497] softirqs last disabled at (224427): [<c0357b3c>] irq_exit+0xac/0x138
[   32.078510] CPU: 7 PID: 51 Comm: migration/7 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.078520] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.078530] task: eea70000 task.stack: eea6e000
[   32.078544] PC is at multi_cpu_stop+0x5c/0x184
[   32.078558] LR is at multi_cpu_stop+0x40/0x184
[   32.078568] pc : [<c041c9c8>]    lr : [<c041c9ac>]    psr: 60040013
[   32.078578] sp : eea6ff20  ip : ffddf8fa  fp : ee9e6d38
[   32.078588] r10: eea6e000  r9 : 00000000  r8 : ee935dbc
[   32.078599] r7 : a0040013  r6 : 00000001  r5 : 00000000  r4 : ee935da8
[   32.078608] r3 : 00000001  r2 : 00000000  r1 : 00000008  r0 : 00000000
[   32.078620] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   32.078631] Control: 10c5387d  Table: 6da6006a  DAC: 00000051
[   32.078644] CPU: 7 PID: 51 Comm: migration/7 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   32.078653] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   32.078674] [<c0312af4>] (unwind_backtrace) from [<c030d264>] (show_stack+0x18/0x1c)
[   32.078692] [<c030d264>] (show_stack) from [<c0b4f990>] (dump_stack+0xa0/0xd8)
[   32.078712] [<c0b4f990>] (dump_stack) from [<c0437718>] (watchdog_timer_fn+0x1d0/0x274)
[   32.078729] [<c0437718>] (watchdog_timer_fn) from [<c03e4538>] (__hrtimer_run_queues+0x4cc/0x78c)
[   32.078744] [<c03e4538>] (__hrtimer_run_queues) from [<c03e49b0>] (hrtimer_interrupt+0xa0/0x1ec)
[   32.078762] [<c03e49b0>] (hrtimer_interrupt) from [<c09ac410>] (exynos4_mct_tick_isr+0x58/0x64)
[   32.078782] [<c09ac410>] (exynos4_mct_tick_isr) from [<c03c8d34>] (__handle_irq_event_percpu+0x20c/0x4f4)
[   32.078800] [<c03c8d34>] (__handle_irq_event_percpu) from [<c03c903c>] (handle_irq_event_percpu+0x20/0x5c)
[   32.078819] [<c03c903c>] (handle_irq_event_percpu) from [<c03c90b8>] (handle_irq_event+0x40/0x64)
[   32.078836] [<c03c90b8>] (handle_irq_event) from [<c03ccd70>] (handle_fasteoi_irq+0xbc/0x130)
[   32.078852] [<c03ccd70>] (handle_fasteoi_irq) from [<c03c7dbc>] (generic_handle_irq+0x20/0x30)
[   32.078869] [<c03c7dbc>] (generic_handle_irq) from [<c03c8410>] (__handle_domain_irq+0xa8/0xbc)
[   32.078886] [<c03c8410>] (__handle_domain_irq) from [<c0301838>] (gic_handle_irq+0x58/0x84)
[   32.078903] [<c0301838>] (gic_handle_irq) from [<c0b6abb0>] (__irq_svc+0x70/0x98)
[   32.078913] Exception stack(0xeea6fed0 to 0xeea6ff18)
[   32.078925] fec0:                                     00000000 00000008 00000000 00000001
[   32.078940] fee0: ee935da8 00000000 00000001 a0040013 ee935dbc 00000000 eea6e000 ee9e6d38
[   32.078953] ff00: ffddf8fa eea6ff20 c041c9ac c041c9c8 60040013 ffffffff
[   32.078973] [<c0b6abb0>] (__irq_svc) from [<c041c9c8>] (multi_cpu_stop+0x5c/0x184)
[   32.078991] [<c041c9c8>] (multi_cpu_stop) from [<c041cd30>] (cpu_stopper_thread+0x98/0x120)
[   32.079010] [<c041cd30>] (cpu_stopper_thread) from [<c037b61c>] (smpboot_thread_fn+0x298/0x2c8)
[   32.079028] [<c037b61c>] (smpboot_thread_fn) from [<c0376640>] (kthread+0x14c/0x168)
[   32.079046] [<c0376640>] (kthread) from [<c03080d0>] (ret_from_fork+0x14/0x24)
[   33.956219] irq event stamp: 206070
[   33.959625] hardirqs last  enabled at (206069): [<c0b6abb4>] __irq_svc+0x74/0x98
[   33.967060] hardirqs last disabled at (206070): [<c0b6aba0>] __irq_svc+0x60/0x98
[   33.974429] softirqs last  enabled at (206066): [<c03572a4>] __do_softirq+0x190/0x6b0
[   33.982230] softirqs last disabled at (206059): [<c0357b3c>] irq_exit+0xac/0x138
[   33.989590] CPU: 0 PID: 10 Comm: migration/0 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   33.999236] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   34.005237] task: ee95ac00 task.stack: ee96c000
[   34.009724] PC is at multi_cpu_stop+0x60/0x184
[   34.014142] LR is at multi_cpu_stop+0x40/0x184
[   34.018558] pc : [<c041c9cc>]    lr : [<c041c9ac>]    psr: 60040013
[   34.024824] sp : ee96df20  ip : ffddf8fa  fp : ee913e38
[   34.030007] r10: ee96c000  r9 : 00000000  r8 : ee935dbc
[   34.035207] r7 : a0040013  r6 : 00000001  r5 : 00000001  r4 : ee935da8
[   34.041725] r3 : 00000001  r2 : 00000000  r1 : 00000008  r0 : 00000000
[   34.048225] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
[   34.055340] Control: 10c5387d  Table: 6da7c06a  DAC: 00000051
[   34.061041] CPU: 0 PID: 10 Comm: migration/0 Tainted: G             L  4.13.0-0.rc4.git4.1.fc27.armv7hl #1
[   34.070725] Hardware name: SAMSUNG EXYNOS (Flattened Device Tree)
[   34.076739] [<c0312af4>] (unwind_backtrace) from [<c030d264>] (show_stack+0x18/0x1c)
[   34.084488] [<c030d264>] (show_stack) from [<c0b4f990>] (dump_stack+0xa0/0xd8)
[   34.091672] [<c0b4f990>] (dump_stack) from [<c0437718>] (watchdog_timer_fn+0x1d0/0x274)
[   34.099655] [<c0437718>] (watchdog_timer_fn) from [<c03e4538>] (__hrtimer_run_queues+0x4cc/0x78c)
[   34.108506] [<c03e4538>] (__hrtimer_run_queues) from [<c03e49b0>] (hrtimer_interrupt+0xa0/0x1ec)
[   34.117258] [<c03e49b0>] (hrtimer_interrupt) from [<c09ac410>] (exynos4_mct_tick_isr+0x58/0x64)
[   34.125923] [<c09ac410>] (exynos4_mct_tick_isr) from [<c03c8d34>] (__handle_irq_event_percpu+0x20c/0x4f4)
[   34.135469] [<c03c8d34>] (__handle_irq_event_percpu) from [<c03c903c>] (handle_irq_event_percpu+0x20/0x5c)
[   34.145087] [<c03c903c>] (handle_irq_event_percpu) from [<c03c90b8>] (handle_irq_event+0x40/0x64)
[   34.153913] [<c03c90b8>] (handle_irq_event) from [<c03ccd70>] (handle_fasteoi_irq+0xbc/0x130)
[   34.162400] [<c03ccd70>] (handle_fasteoi_irq) from [<c03c7dbc>] (generic_handle_irq+0x20/0x30)
[   34.170980] [<c03c7dbc>] (generic_handle_irq) from [<c03c8410>] (__handle_domain_irq+0xa8/0xbc)
[   34.179646] [<c03c8410>] (__handle_domain_irq) from [<c0301838>] (gic_handle_irq+0x58/0x84)
[   34.187960] [<c0301838>] (gic_handle_irq) from [<c0b6abb0>] (__irq_svc+0x70/0x98)
[   34.195393] Exception stack(0xee96ded0 to 0xee96df18)
[   34.200370] dec0:                                     00000000 00000008 00000000 00000001
[   34.208579] dee0: ee935da8 00000001 00000001 a0040013 ee935dbc 00000000 ee96c000 ee913e38
[   34.216722] df00: ffddf8fa ee96df20 c041c9ac c041c9cc 60040013 ffffffff
[   34.223279] [<c0b6abb0>] (__irq_svc) from [<c041c9cc>] (multi_cpu_stop+0x60/0x184)
[   34.230844] [<c041c9cc>] (multi_cpu_stop) from [<c041cd30>] (cpu_stopper_thread+0x98/0x120)
[   34.239174] [<c041cd30>] (cpu_stopper_thread) from [<c037b61c>] (smpboot_thread_fn+0x298/0x2c8)
[   34.247844] [<c037b61c>] (smpboot_thread_fn) from [<c0376640>] (kthread+0x14c/0x168)
[   34.255543] [<c0376640>] (kthread) from [<c03080d0>] (ret_from_fork+0x14/0x24)
[   60.390512] BUG: workqueue lockup - pool cpus=0 node=0 flags=0x0 nice=0 stuck for 54s!
[   60.397330] BUG: workqueue lockup - pool cpus=1 node=0 flags=0x0 nice=0 stuck for 54s!
[   60.405167] BUG: workqueue lockup - pool cpus=3 node=0 flags=0x0 nice=0 stuck for 53s!
[   60.413051] BUG: workqueue lockup - pool cpus=4 node=0 flags=0x0 nice=0 stuck for 53s!
[   60.420936] BUG: workqueue lockup - pool cpus=5 node=0 flags=0x0 nice=0 stuck for 53s!
[   60.428821] BUG: workqueue lockup - pool cpus=6 node=0 flags=0x0 nice=0 stuck for 53s!
[   60.436708] BUG: workqueue lockup - pool cpus=7 node=0 flags=0x0 nice=0 stuck for 54s!
[   60.444602] Showing busy workqueues and worker pools:
[   60.449574] workqueue events: flags=0x0
[   60.453525]   pwq 10: cpus=5 node=0 flags=0x0 nice=0 active=2/256
[   60.459404]     pending: amba_deferred_retry_func, push_to_pool
[   60.465362]   pwq 0: cpus=0 node=0 flags=0x0 nice=0 active=1/256
[   60.471272]     pending: vmstat_shepherd
[   60.475215] workqueue events_power_efficient: flags=0x80
[   60.480507]   pwq 12: cpus=6 node=0 flags=0x0 nice=0 active=1/256
[   60.486524]     pending: neigh_periodic_work
[   60.490822] workqueue mm_percpu_wq: flags=0x8
[   60.495133]   pwq 14: cpus=7 node=0 flags=0x0 nice=0 active=1/256
[   60.501169]     pending: vmstat_update
[   60.504916]   pwq 12: cpus=6 node=0 flags=0x0 nice=0 active=1/256
[   60.510959]     pending: vmstat_update
[   60.514708]   pwq 10: cpus=5 node=0 flags=0x0 nice=0 active=1/256
[   60.520752]     pending: vmstat_update
[   60.524501]   pwq 8: cpus=4 node=0 flags=0x0 nice=0 active=1/256
[   60.530458]     pending: vmstat_update
[   60.534204]   pwq 6: cpus=3 node=0 flags=0x0 nice=0 active=1/256
[   60.540161]     pending: vmstat_update
[   60.543913]   pwq 2: cpus=1 node=0 flags=0x0 nice=0 active=1/256
[   60.549867]     pending: vmstat_update
[   60.553616]   pwq 0: cpus=0 node=0 flags=0x0 nice=0 active=1/256
[   60.559572]     pending: vmstat_update
[   60.563466] workqueue dm_bufio_cache: flags=0x8
[   60.567847]   pwq 8: cpus=4 node=0 flags=0x0 nice=0 active=1/256
[   60.573784]     pending: work_fn

Comment 4 Harald Hoyer 2017-08-18 12:17:16 UTC
next time, please "attach" the log files for better readability


ok, one more kernel command line change. This time:

rd.debug debug systemd.log_target=kmsg loglevel=7

Comment 5 Andreas Reschke 2017-08-18 12:32:32 UTC
Created attachment 1315185 [details]
extendend logfile with debug

Logfile with parameter "rd.debug debug systemd.log_target=kmsg loglevel=7"

Comment 6 Stewart Samuels 2017-08-29 21:10:18 UTC
Work around solutions that have been successfully tested to boot the Odroid-XU4:

1. To boot the system from the MicroSD card:
   A. The parameter "cpuidle.off=1" must be inserted into the "append" kernel line in the /boot/extlinux/extlinux.conf file;
   B. The UUID values should be updated with correct values in both the /boot/extlinux/extlinux.conf and /etc/fstab files of the MicroSD image.

2. To boot the system from the eMMC card:
   A. The initramfs image file must be rebuilt.  The simplest way is to:
       a. Boot up using the MicroSD card;
       b. Partition the eMMC card such that partition 1 begins on sector 3072
          (Default starting sector from fdisk is 2048).  There should be 4 partitions created;
       c. Mount the Fedora image desired to be installed on the eMMC card;
       d. Copy all partition data from the mounted fedora image partitions (there are 4 for Fedora 26 ARM images) to the appropriate eMMC partitions;
       e. Update the UUID values on what will be the /boot/extlinux/extlinux.conf file and /etc/fstab files of the eMMC card;
       f. Assuming the eMMC partitions are mounted as such --
             mount /dev/mmcblk1p4 /mnt
             mount /dev/mmcblk1p2 /mnt/boot
          then perform the following mounts --
             mount -o bind /proc /mnt/proc
             mount -o bind /dev /mnt/dev
             mount -o bind /sys /mnt/sys
   B.  Rebuild the eMMC card's initramfs by executing the following command:
       chroot /mnt dracut --add-drivers='pwrseq_emmc mmc_block' /boot/initramfs-4.11.8-300.fc26.armv7hl.img   4.11.8-300.fc26.armv7hl
   C.  Flash the boot information in the header of the eMMC card;
   C.  Shutdown the system, then remove the MicroSD card;
   D.  Boot up using the eMMC card.

3.  If the system is to be updated using "dnf update", a new initramfs image must again be generated.  This can be done using steps 1f - B. above using the new initramfs and kernel images provided by the "dnf update".

----------------------------------------------------------------

Note to the developers/maintainers of dracut:
The kernel modules "pwrseq_emmc" and "mmc_block" should be included in dracut for the Odroid-XU3 and Odroid-XU4 such that the user need not have to execute this procedure each time and update to the system is performed.

Comment 7 R P Herrold 2017-12-01 22:53:12 UTC
in a mailing list post this week, this is noted as wokingm on an Odroid HC1 with kernel 4.15.0-0.rc0.git6.1.fc28.armv7hl  with on-board network (USB-3 bus based) and the ssd (USB-2 bus based SATA ... the HC1 has multiple USB buses). This includes booting and enumerating devices properly 

This appears to be a remaining issue:

The system still requires the 'cpuidle.off=1' argument on the "append" line of the 'extlinux.conf' file to boot

Comment 8 Laura Abbott 2018-02-28 03:44:10 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 9 Laura Abbott 2018-02-28 22:07:15 UTC
Separate bugs have been opened on rawhide. I'm closing this one.

Comment 10 R P Herrold 2018-02-28 22:26:41 UTC
(In reply to Laura Abbott from comment #9)
> Separate bugs have been opened on rawhide. I'm closing this one.

Hi, Laura

The separate bugs related to non-kernel matters.  I just got this in this morning, and have not had a change to test as requested in comment 8

Would you please re-open for a week or so I may?

Thank you

-- Russ herrold


Note You need to log in before you can comment on or make changes to this bug.